﻿.container {
    max-width: 1200px;
    margin: auto;
}

body div .allcontent {
    margin-left: auto;
    margin-right: auto;
}
body {
    
    font: 300 16px Lato;
}
.content-area {
    padding-left: 225px;
    max-width: 1000px;
}

li {
    list-style-type: none;
}

ul {
    margin: 0;
    padding: 0;
}

h1 {
    font: 30px Raleway;
}

h2 {
    font: 24px Raleway;
    text-align: center;
    padding: 20px;
    margin: 0px auto 0px;
    display: block;
    overflow: visible;
}
.hairline {
    border-bottom: 1px solid #333333;
    margin: 0px auto 40px;
    display: block;
    overflow: visible;
    width: 225px;
}
a[name] {
    text-decoration: none;
    color: inherit;
}

p {
    font: 300 16px Lato;
}

nav {
    position: fixed;
    width: 185px;
    float: left;
    background-color: #333333;
    color: #ffffff;
}

.logo {
    border: 3px solid #ffffff;
    margin: 20px;
    text-align: center;
}

    .logo > span:first-child {
        display: block;
        margin-top: 10px;
    }

    .logo > span:last-child {
        display: block;
        margin-bottom: 10px;
    }

    .logo img {
        width: 100px;
        margin: 20px;
    }

nav div {
    font: 16px Raleway;
}
.title {
    text-decoration: none;
    color: #ffffff;
}
 .title:hover {
    text-decoration: none;
    color: #ffffff;
}
.description {
    width: 145px;
    text-align: center;
    margin: 20px auto;
    padding: 20px 0px;
    border-bottom: 1px solid #ffffff;
}

.navlinks a {
    display: block;
    text-align: center;
    color: #ffffff;
    text-decoration: none;
    padding: 10px;
}
.navlinks a:hover {
   background-color: #ff9966;
}
.navlinks a:active {
   background-color: #99cccc;
}
.connectlinks img {
    height: 25px;
}

.connectlinks li {
    display: block;
    float: left;
    text-align: center;
    padding: 0px 18px;
    margin: 40px 0px 20px;
}
.project-details {
    position: relative;
    border: 1px solid #000000;
}
.project-details img {
    width: 100%;
   padding: 40px;
}

section {
    padding: 0px 0px;
}


.fullsize {
    width: 1000px;
    margin: auto;
}


footer {
    background-color: #333333;
    padding-top: 90px;
    padding-bottom: 20px;
    color: #ffffff;
    text-align: center;
    font: 300 16px Lato;
    margin-top: 40px;
}

    footer span {
        color: #ff9966;
    }

    .lightbox {
        display: none;
        font: 30px Raleway;
    }
    .link-button {
        text-align: center;
    }
.project-link {
    font: 600 16px Lato;
    display: inline-block;
    text-align: center;
    border: 1px solid #333333;
    padding: 10px;
    margin: 40px;
    text-decoration: none;
    height: 40px;
    color: #333333;
}
  .project-link:hover {
    background-color: #333333;
    color: #ffffff;
    text-decoration: none;
}
.project-details:hover .lightbox {
    display: inherit;
    color: #ffffff;
    position: absolute;
    text-align: center;
    background-color: rgba(51, 51, 51, 0.50);
    border: 40px solid #ffffff;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.mobile-details {
    display: none;
}
.bcgport .detail1 {
     margin-top: 200px;
}
.bcgport .detail2 {
    margin-top: 300px;
}
.bcgport .detail3 {
    margin-top: 500px;
}
.mdressupport .detail1 {
    margin-top: 250px;
}
.npport .detail1 {
    margin-top: 300px;
}
.stthport .detail1 {
    margin-top: 450px;
}
.stthport .detail2 {
    margin-top: 450px;
}
.stthport .project-link {
    display: none;
}
.stthport p {
    margin-bottom: 40px;
}
.rsport .detail1 {
    margin-top: 300px;
}
.rsport .project-link {
    display: none;
}
.rsport p {
    margin-bottom: 40px;
}

@media (max-width: 1000px) {
    body {
        margin: 0px;
    }

    .container {
        width: 100%;
        margin: 0px;
        padding: 0px;
    }

    .fullsize {
        width: 100%;
        margin: auto;
    }

    section {
        padding: 50px 20px;
        text-align: center;
    }

    .allcontent {
        margin: unset;
    }

    nav {
        margin: 0px;
        width: 100%;
        height: 50px;
        clear: both;
        display: inline;
        z-index: 3;
        text-align: center;
    }

        nav div {
            font: 16px Raleway;
        }

    .navlinks a {
        display: none;
    }

    h1 {
        width: 100%;
    }

    .logo {
        border: none;
        margin: auto;
        display: block;
    }

        .logo > span:first-child {
            display: inline-block;
            margin-top: 0px;
            line-height: 50px;
        }

        .logo > span:last-child {
            display: inline-block;
            margin-bottom: 0px;
            line-height: 50px;
        }

        .logo img {
            display: none;
        }

    .description {
        display: none;
    }


    .connectlinks img {
        height: 25px;
    }

    .connectlinks li {
        display: none;
    }

    .content-area {
        margin-top: 0px;
        padding-left: 0px;
    }

    .project-details img {
        width: 100%;
    }

    .project-details:hover .lightbox {
        display: none;
    }

    .mobile-details {
        display: inline-block;
        margin-top: 40px;
    }
    footer {
        margin: 0px;
    }
}